import 'package:flutter/material.dart';

typedef CardBtBuilder = Widget Function();

class CardBt extends StatelessWidget {
  final CardBtBuilder cardBtBuilder;

  CardBt({@required this.cardBtBuilder}) : assert(cardBtBuilder != null);

  //
  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: Colors.grey[300],
        borderRadius: BorderRadius.circular(15),
      ),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          SizedBox(
            width: 50,
            height: 50,
            child: Icon(
              Icons.account_tree_outlined,
              color: Colors.indigo,
            ),
          ),
          cardBtBuilder(),
        ],
      ),
    );
  }
}
